package com.test;

import java.io.Serializable;

import javax.ejb.Stateless;
import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;

import com.test.model.TestEntity;

@Stateless
public class TestDAO implements Serializable {

  private static final long serialVersionUID = 7273624220735252768L;

  @PersistenceContext
  private EntityManager em;

  public TestEntity getById(String id) {
    return em.find(TestEntity.class, id);
  }

  public void save(TestEntity entity) {
    em.merge(entity);
  }

}
