package com.test;

import java.io.IOException;
import java.util.UUID;

import javax.ejb.EJB;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import com.test.TestDAO;
import com.test.model.TestEntity;

@WebServlet(name = "UpdateServlet", urlPatterns = "/update")
public class UpdateServlet extends HttpServlet {

  private static final long serialVersionUID = 2095212784615117156L;

  @EJB
  private TestDAO dao;

  @Override
  protected void doGet(HttpServletRequest req, HttpServletResponse resp) throws ServletException, IOException {
    TestEntity entity = dao.getById("entity1");
    entity.setTitle("ENTITY: " + UUID.randomUUID().toString());
    dao.save(entity);
  }

}
