package com.test;

import java.io.IOException;

import javax.ejb.EJB;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import com.test.TestDAO;
import com.test.model.TestEntity;

@WebServlet(name = "GetServlet", urlPatterns = "/get")
public class GetServlet extends HttpServlet {

  private static final long serialVersionUID = -1418925883565487980L;

  @EJB
  private TestDAO dao;

  @Override
  protected void doGet(HttpServletRequest req, HttpServletResponse resp) throws ServletException, IOException {
    TestEntity entity = dao.getById("entity1");
    resp.getWriter().write(entity.getTitle());
  }

}
